<div class="offset">
  <div class="content" fxLayoutGap="16px grid">
    <div [fxFlex]="(100/gridColumns) + '%'" fxFlex="350px" fxFlex.xs="100%" fxFlex.sm="33%"
      *ngFor="let organization of organizations">
      <mat-card class="mat-elevation-z4">
        <mat-card-header>
          <mat-card-title>{{organization.name}}</mat-card-title>
        </mat-card-header>
        <img mat-card-image [src]="organization.icon">
        <mat-card-content>
          <p>
            {{organization.description}}
          </p>
        </mat-card-content>
        <mat-card-actions>
          <span *ngIf="organization.gitLabParentId === null">

            <button mat-button [disabled]="!hasGitLabAccount">
              <mat-icon>add_box</mat-icon>
              <a *ngIf="!isDisabled()" [routerLink]="['group']" [state]="{ data: organization}">Sponsor</a>
              <a *ngIf="isDisabled()" class="disabled">Sponsor</a>
            </button>
          </span>
          <span *ngIf="organization.gitLabParentId !== ''">
            <button mat-button>
              <mat-icon>pageview</mat-icon>
              <a [routerLink]="['projects']" [state]="{ data: organization}"> Projects</a>
            </button>
          </span>
          <span *ngIf="organization.url !== ''">
            <button mat-button>
              <mat-icon>link</mat-icon>
              <a href="{{organization.url}}" target="_blank"> GitLab </a>
            </button>
          </span>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div>